Opened 6 years ago

Closed 6 years ago

#88 closed defect (fixed)

PSI - latest release 0.16 is unable to connect to Jabber.org server

Reported by: darcio Owned by:
Priority: Feedback Pending Component: psi
Version: Keywords: psi 0.16 dev not connecting
Cc:

Description

Previously had 0.15 working fine, tried the latest release (2014-09-18 * updated to latest 0.16-dev sources) however PSI is no longer able to connect to my jabber.org server.

Getting the following error msg box pop-up:

"Server Error - There was an error communicating with the server. Details: Authentication error: Not Authorized"

However....my Win client has no issues connecting...need help!

Attachments (1)

file_list (3.6 KB) - added by darcio 6 years ago.

Download all attachments as: .zip

Change History (9)

comment:1 Changed 6 years ago by andib

Did you try other servers? Since a while I can not connect to jabber.ccc.de but other servers work. I tried all security settings without success so thought this one server does not work anymore. But now I think it maybe an authorization problem.

comment:2 Changed 6 years ago by Silvan Scherrer

Priority: majorFeedback Pending

and 0.15 still works fine?

comment:3 in reply to:  1 Changed 6 years ago by darcio

Replying to andib:

Did you try other servers? Since a while I can not connect to jabber.ccc.de but other servers work. I tried all security settings without success so thought this one server does not work anymore. But now I think it maybe an authorization problem.

No, I have not tried connecting to other servers mostly because my WinXP PSI client connects successfully to the jabber.org server.

comment:4 in reply to:  2 Changed 6 years ago by darcio

Replying to diver:

and 0.15 still works fine?

The 0.15 example I gave is the WinXP client.

I have now gone back to my OS2 client, re-installed that and find that it is NO longer connecting...so at this point in time I'm thinking there must be some kind of a DLL dependancy issue I'm seeing and it is impacting both my old 0.15 and the new 0.16 clients.

I installed 0.16 by deploying all the ZIP files, I did not use RPM/YUM, etc...instead all the matching ZIP files have been d/loaded and DLLs deployed to a commont \usr\dll directory on my system where all the klibc, gcc, sdl stuff resides. I'm going to attach a listing of the directory contents.

Here is what I noted: the deployment of OpenSSL (openssl-1.0.0n) was very unclear...the package itself is installed in \apps\tcpcip\openssl directory and the BIN & DLL locations are present in PATH & LIBPATH.

I did try re-directing any type of DEBUG into a file by executing:

PSI > debug_txt

at command line, but this produces a null (zero) length file.

Changed 6 years ago by darcio

Attachment: file_list added

comment:5 Changed 6 years ago by Silvan Scherrer

please try again with the just uploaded psi_016.zip.

comment:6 Changed 6 years ago by andib

With new version from today it works again with jabber.ccc.de.

Thx.

comment:7 Changed 6 years ago by darcio

It's ALIVE....it's ALIVE...I tell you, it LIVES!!!

OK, if you've seen the "Young Frankenstein" movie you know what I mean!

Gentlemen, that was it...it's chugging along nicely...may I ask: what was the root cause?

Thanks!

comment:8 Changed 6 years ago by Silvan Scherrer

Resolution: fixed
Status: newclosed

the cause was a certificate problem. Some sites changed the way certificates are proved.

Note: See TracTickets for help on using tickets.